searchNodes=[{"ref":"Tipalti.html","title":"Tipalti","type":"module","doc":"Tipalti integration library for Elixir. This library contains the following: Tipalti.API.Payee - Payee SOAP API client Tipalti.API.Payer - Payer SOAP API client Tipalti.IPN.Router - Router builder Tipalti Instant Payment Notifications (IPN) Tipalti.IFrame.InvoiceHistory - Invoice History iFrame integration helper Tipalti.IFrame.PaymentsHistory - Payments History iFrame integration helper Tipalti.IFrame.SetupProcess - Setup Process iFrame integration helper"},{"ref":"Tipalti.html#t:idap/0","title":"Tipalti.idap/0","type":"type","doc":"An idap is a string representing the id of a payee in Tipalti."},{"ref":"Tipalti.html#t:key_value_pair/0","title":"Tipalti.key_value_pair/0","type":"type","doc":"Key/Value pair used for custom fields."},{"ref":"Tipalti.API.Payee.html","title":"Tipalti.API.Payee","type":"module","doc":"Obtain or update payee info. Details are taken from: https://api.tipalti.com/v6/PayeeFunctions.asmx"},{"ref":"Tipalti.API.Payee.html#cancel_invoice/0","title":"Tipalti.API.Payee.cancel_invoice/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#close_payee_account/0","title":"Tipalti.API.Payee.close_payee_account/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#create_payee_info_auto_idap/0","title":"Tipalti.API.Payee.create_payee_info_auto_idap/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_extended_payee_details/0","title":"Tipalti.API.Payee.get_extended_payee_details/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_extended_payee_details_list/1","title":"Tipalti.API.Payee.get_extended_payee_details_list/1","type":"function","doc":"Returns extended details and custom fields of given payees. Parameters idaps: list of payee ids Examples iex&gt; get_extended_payee_details_list([&quot;somepayee&quot;]) {:ok, [ %Tipalti.PayeeExtended{ custom_fields: [], properties: %Tipalti.PayeeExtended.Properties{ actual_payer_entity: &quot;Peek&quot;, alias: &quot;acmepayee&quot;, city: nil, company_name: &quot;ACME&quot;, country: &quot;--&quot;, email: &quot;someone@example.com&quot;, first_name: &quot;Some&quot;, idap: &quot;somepayee&quot;, last_name: &quot;Payee&quot;, middle_name: nil, payable: false, payment_currency: &quot;USD&quot;, payment_method: &quot;NoPM&quot;, phone: nil, portal_user: &quot;NotRegistered&quot;, preferred_payer_entity: &quot;Peek&quot;, state: nil, status: &quot;Active&quot;, street1: &quot;123 Somewhere St.&quot;, street2: nil, tax_form_entity_name: nil, tax_form_entity_type: &quot;UNKNOWN&quot;, tax_form_status: &quot;NOT_SUBMITTED&quot;, tax_form_type: nil, withholding_rate: nil, zip: nil } } ]} iex&gt; get_extended_payee_details_list([&quot;badpayee&quot;]) {:ok, []}"},{"ref":"Tipalti.API.Payee.html#get_extended_po_details/0","title":"Tipalti.API.Payee.get_extended_po_details/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_extended_po_details_list/0","title":"Tipalti.API.Payee.get_extended_po_details_list/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_invoices_payable_amount/0","title":"Tipalti.API.Payee.get_invoices_payable_amount/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_payee_details/1","title":"Tipalti.API.Payee.get_payee_details/1","type":"function","doc":"Returns details of a given payee. Parameters idap: a payee id Examples iex&gt; get_payee_details(&quot;somepayee&quot;) {:ok, %Tipalti.Payee{ address: &quot;123 Somewhere St.&quot;, alias: &quot;acmepayee&quot;, company_name: &quot;ACME&quot;, email: &quot;someone@example.com&quot;, name: &quot;Some Payee&quot;, payment_method: &quot;Check&quot;, payment_terms_id: nil, payment_terms_name: nil }} iex&gt; get_payee_details(&quot;badpayee&quot;) {:error, %Tipalti.ClientError{error_code: &quot;PayeeUnknown&quot;, error_message: &quot;PayeeUnknown&quot;}}"},{"ref":"Tipalti.API.Payee.html#get_payee_invoice_list/0","title":"Tipalti.API.Payee.get_payee_invoice_list/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_payee_invoices_changed_since_timestamp/1","title":"Tipalti.API.Payee.get_payee_invoices_changed_since_timestamp/1","type":"function","doc":"Returns all invoice reference codes that were updated since the given UTC timestamp. Parameters utc_time: a UTC DateTime struct Examples iex&gt; {:ok, utc_time, _} = DateTime.from_iso8601(&quot;2018-07-01T00:00:00Z&quot;) iex&gt; get_payee_invoices_changed_since_timestamp(utc_time) {:ok, [&quot;12345&quot;, &quot;12346&quot;, &quot;12347&quot;]}"},{"ref":"Tipalti.API.Payee.html#get_payee_pending_invoice_total/0","title":"Tipalti.API.Payee.get_payee_pending_invoice_total/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_payees_changed_since_timestamp/0","title":"Tipalti.API.Payee.get_payees_changed_since_timestamp/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#get_po_details/0","title":"Tipalti.API.Payee.get_po_details/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#payee_payable/2","title":"Tipalti.API.Payee.payee_payable/2","type":"function","doc":"Return payable status of payee. If a payment request were to be issued, the payee might not get paid. Possible reasons for not being paid are - missing tax documents, payment below threshold, account locked, address missing, or other. Parameters idap: a payee id amount: the amount for which you&#39;d want to pay this payee (default: 100.0) Examples iex&gt; payee_payable(&quot;payablepayee&quot;, 100) {:ok, true} iex&gt; payee_payable(&quot;unpayablepayee&quot;) {:ok, false, &quot;Tax,No PM&quot;} iex&gt; payee_payable(&quot;badpayee&quot;, 123.45) {:error, %Tipalti.ClientError{error_code: &quot;PayeeUnknown&quot;, error_message: &quot;PayeeUnknown&quot;}}"},{"ref":"Tipalti.API.Payee.html#payee_payment_method/1","title":"Tipalti.API.Payee.payee_payment_method/1","type":"function","doc":"Returns the name of the payee&#39;s selected payment method. Examples iex&gt; payee_payment_method(&quot;payablepayee&quot;) {:ok, &quot;Check&quot;} iex&gt; payee_payment_method(&quot;unpayablepayee&quot;) {:ok, &quot;No payment method&quot;} iex&gt; payee_payment_method(&quot;badpayee&quot;) {:error, %Tipalti.ClientError{error_code: &quot;PayeeUnknown&quot;, error_message: &quot;PayeeUnknown&quot;}}"},{"ref":"Tipalti.API.Payee.html#payee_status_update/3","title":"Tipalti.API.Payee.payee_status_update/3","type":"function","doc":"Update the status of payee. Valid values for status are: :active, :suspended, or :blocked. When blocking a payee, a blocking reason may be supplied Examples iex&gt; payee_status_update(&quot;somepayee&quot;, :blocked, &quot;Business closed&quot;) :ok"},{"ref":"Tipalti.API.Payee.html#payee_update_address/0","title":"Tipalti.API.Payee.payee_update_address/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#payee_update_email/0","title":"Tipalti.API.Payee.payee_update_email/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#payments_between_dates/0","title":"Tipalti.API.Payee.payments_between_dates/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payee.html#update_or_create_payee_info/3","title":"Tipalti.API.Payee.update_or_create_payee_info/3","type":"function","doc":"Updates a payee&#39;s basic info. If the payee does not exist, it will be created. The details must match the ones in the payee bank records. State can either be null, or a valid 2 letter US state. If skip_nulls=true the parameters with null values will be ignored. If skip_nulls=false the null values will overwrite existing values. Country is a 2 letter ISO 3166 code. Possible fields: first_name - string last_name - string street1 - string street2 - string city - string state - string zip - string country - string email - string company - string alias - string preferred_payer_entity - string ap_account_number - string payment_terms_id - string Required options: skip_nulls - boolean override_payable_country - boolean Examples iex&gt; update_or_create_payee_info(&quot;newpayee&quot;, %{first_name: &quot;John&quot;, last_name: &quot;Smith&quot;}, skip_nulls: true, override_payable_country: false) :ok iex&gt; update_or_create_payee_info(&quot;invalidname&quot;, %{first_name: &quot;José&quot;, last_name: &quot;Valim&quot;}, skip_nulls: true, override_payable_country: false) {:error, %Tipalti.ClientError{error_code: &quot;ParameterError&quot;, error_message: &quot;Invalid payee first name&quot;}}"},{"ref":"Tipalti.API.Payee.html#update_payee_custom_fields/0","title":"Tipalti.API.Payee.update_payee_custom_fields/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html","title":"Tipalti.API.Payer","type":"module","doc":"Payer functions. Details are taken from: https://api.tipalti.com/v5/PayerFunctions.asmx"},{"ref":"Tipalti.API.Payer.html#apply_vendor_credit/0","title":"Tipalti.API.Payer.apply_vendor_credit/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_extended_payee_status_file/0","title":"Tipalti.API.Payer.create_extended_payee_status_file/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_or_update_custom_fields/0","title":"Tipalti.API.Payer.create_or_update_custom_fields/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_or_update_gl_accounts/0","title":"Tipalti.API.Payer.create_or_update_gl_accounts/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_or_update_grns/0","title":"Tipalti.API.Payer.create_or_update_grns/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_or_update_invoices/1","title":"Tipalti.API.Payer.create_or_update_invoices/1","type":"function","doc":"Create new invoices or update existing ones. Returns a list of invoice responses for each invoice, indicating if it succeeded and what the errors were if it didn&#39;t. See https://support.tipalti.com/Content/Topics/Development/APIs/PayerApi.htm for details. Parameters invoices[]: List of maps of invoice params. idap: Payee id. ref_code: Uniq id for this invoice (leave null for auto-generated id). date: Invoice value date (estimated date and time the payee receives the funds). due_date: The date and time the invoice is due to be paid. line_items[]: List of invoice lines. currency: Invoice currency. amount: Invoice line amount. description: Description of the invoice line. internal_notes: Notes which are not displayed to the payee. e_wallet_message: A message to attach to the payment. This message is sent to providers and appears on payee bank statements. If no value is provided, the InvoiceRefCode is used.. banking_message: A message to attach to the payment. This message is sent to providers and appears on payee bank statements. If a value is not provided, the EWalletMessage is used. custom_fields[]: If custom fields have been defined for the invoice entity, the values of these fields can be set here. The field name must match the defined custom field name. key: The custom field key. value: The custom field value. line_type: ? external_metadata: ? quantity: ? description: Description of the invoice. can_approve: Indicates whether or not the payee is able to approve the invoice. internal_notes: Notes, which are not displayed to the payee. custom_fields[]: If custom fields have been defined for the invoice entity, the values of these fields can be set here. The field name must match the defined custom field name. key: The custom field key. value: The custom field value. is_paid_manually: If true, the invoice is marked as paid manually. income_type: If the Tax Withholding module is enabled and there are multiple income types that can be associated with the payment, then you must enter the IncomeType per payment. status: ? currency: Invoice currency. approvers: ? number: ? payer_entity_name: The name of the payer entity linked to the invoice. subject: The text for the title of the invoice, displays for the payee in the Payee Dashboard or Suppliers Portal. ap_account_number: ? Returns {:ok, list} where list is a list of maps contains the following fields: error_message: String; if there was an error creating the invoice. ref_code: String; corresponds to the input invoices. succeeded: Boolean; Indicates if creating the invoice succeeded. Examples iex&gt; create_or_update_invoices([%{idap: &quot;somepayee&quot;, ref_code: &quot;testinvoice1&quot;, due_date: &quot;2018-05-01&quot;, date: &quot;2018-06-01&quot;, subject: &quot;test invoice 1&quot;, currency: &quot;USD&quot;, line_items: [%{amount: &quot;100.00&quot;, description: &quot;test line item&quot;}]}, %{idap: &quot;somepayee&quot;, ref_code: &quot;testinvoice2&quot;, due_date: &quot;2018-06-01&quot;, date: &quot;2018-05-01&quot;, subject: &quot;test invoice 2&quot;, currency: &quot;USD&quot;, line_items: [%{amount: &quot;100.00&quot;, description: &quot;test line item&quot;}]}]) {:ok, [ %{ error_message: &quot;Due date cannot be earlier then invoice date&quot;, ref_code: &quot;testinvoice1&quot;, succeeded: false }, %{error_message: nil, ref_code: &quot;testinvoice2&quot;, succeeded: true} ]} iex&gt; too_long_description = &quot;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX&quot; iex&gt; create_or_update_invoices([%{idap: &quot;somepayee&quot;, ref_code: &quot;testinvoice3&quot;, due_date: &quot;2018-05-01&quot;, date: &quot;2018-06-01&quot;, description: too_long_description, currency: &quot;USD&quot;, line_items: [%{amount: &quot;100.00&quot;, description: &quot;test line item&quot;}]}]) {:error, %Tipalti.ClientError{error_code: &quot;UnknownError&quot;, error_message: &quot;Internal server errror&quot;}}"},{"ref":"Tipalti.API.Payer.html#create_or_update_purchase_orders/0","title":"Tipalti.API.Payer.create_or_update_purchase_orders/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_payee_status_file/0","title":"Tipalti.API.Payer.create_payee_status_file/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#create_payment_orders_report/0","title":"Tipalti.API.Payer.create_payment_orders_report/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_balances/0","title":"Tipalti.API.Payer.get_balances/0","type":"function","doc":"Get balances in your accounts. Returns account provider, account identifier, currency and amount in balance. Note: when submitting a payment, the balance may take some time before it is updated. Examples iex&gt; get_balances() {:ok, [ %Tipalti.Balance{ account_identifier: &quot;1234&quot;, balance: Money.new(&quot;USD&quot;, &quot;1000&quot;), provider: &quot;Tipalti&quot; } ]}"},{"ref":"Tipalti.API.Payer.html#get_custom_fields/0","title":"Tipalti.API.Payer.get_custom_fields/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_dynamic_key/0","title":"Tipalti.API.Payer.get_dynamic_key/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_dynamic_key_of_sub_payer/0","title":"Tipalti.API.Payer.get_dynamic_key_of_sub_payer/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_payee_invoices_list_details/1","title":"Tipalti.API.Payer.get_payee_invoices_list_details/1","type":"function","doc":"Return list of payee invoices. Parameters invoice_ref_codes: list of invoice reference codes Examples iex&gt; get_payee_invoices_list_details([&quot;12345&quot;,&quot;12346&quot;]) {:ok, [ %Tipalti.Invoice{ amount_due: Money.new!(:USD, &quot;3.61&quot;), approval_date: nil, approvers: [], can_approve: false, custom_fields: [], date: ~D[2018-07-23], description: &quot;Some invoice&quot;, due_date: ~D[2018-07-27], idap: &quot;payee1&quot;, internal_notes: &quot;Notes&quot;, is_paid_manually: false, line_items: [ %Tipalti.Invoice.Line{ amount: Money.new!(:USD, &quot;3.61&quot;), custom_fields: [], description: &quot;Charges&quot;, line_type: nil, quantity: nil } ], number: &quot;h6gz1gs2e&quot;, payer_entity_name: &quot;SomePayee&quot;, ref_code: &quot;12345&quot;, status: :pending_payment }, %Tipalti.Invoice{ amount_due: Money.new!(:USD, &quot;10.47&quot;), approval_date: nil, approvers: [], can_approve: false, custom_fields: [], date: ~D[2018-07-18], description: &quot;Some other invoice&quot;, due_date: ~D[2018-07-20], idap: &quot;payee2&quot;, internal_notes: &quot;Notes notes notes&quot;, is_paid_manually: false, line_items: [ %Tipalti.Invoice.Line{ amount: Money.new!(:USD, &quot;10.47&quot;), custom_fields: [], description: &quot;Charges&quot;, line_type: nil, quantity: nil } ], number: &quot;h6gz1grv4&quot;, payer_entity_name: &quot;SomePayee&quot;, ref_code: &quot;12346&quot;, status: :pending_payment } ]}"},{"ref":"Tipalti.API.Payer.html#get_payer_fees/0","title":"Tipalti.API.Payer.get_payer_fees/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_processing_request_status/0","title":"Tipalti.API.Payer.get_processing_request_status/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_provider_accounts/0","title":"Tipalti.API.Payer.get_provider_accounts/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#get_updated_payments/0","title":"Tipalti.API.Payer.get_updated_payments/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#log_integration_error/0","title":"Tipalti.API.Payer.log_integration_error/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_multi_currency_payment_file/0","title":"Tipalti.API.Payer.process_multi_currency_payment_file/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_multi_currency_payment_file_async/0","title":"Tipalti.API.Payer.process_multi_currency_payment_file_async/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_payment_file/0","title":"Tipalti.API.Payer.process_payment_file/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_payment_file_async/0","title":"Tipalti.API.Payer.process_payment_file_async/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_payments/0","title":"Tipalti.API.Payer.process_payments/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_payments_async/0","title":"Tipalti.API.Payer.process_payments_async/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#process_payments_async_result/0","title":"Tipalti.API.Payer.process_payments_async_result/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#test_multi_currency_payment_file/0","title":"Tipalti.API.Payer.test_multi_currency_payment_file/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#test_multi_currency_payment_file_async/0","title":"Tipalti.API.Payer.test_multi_currency_payment_file_async/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#test_payment_file/0","title":"Tipalti.API.Payer.test_payment_file/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#test_payment_file_async/0","title":"Tipalti.API.Payer.test_payment_file_async/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#test_payments/0","title":"Tipalti.API.Payer.test_payments/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#test_payments_async/0","title":"Tipalti.API.Payer.test_payments_async/0","type":"function","doc":"Not yet implemented"},{"ref":"Tipalti.API.Payer.html#t:invoice/0","title":"Tipalti.API.Payer.invoice/0","type":"type","doc":"An invoice, used when creating invoices in create_or_update_invoices/1."},{"ref":"Tipalti.API.Payer.html#t:invoice_approver/0","title":"Tipalti.API.Payer.invoice_approver/0","type":"type","doc":"An invoice approver, used when creating invoices in create_or_update_invoices/1."},{"ref":"Tipalti.API.Payer.html#t:invoice_line_item/0","title":"Tipalti.API.Payer.invoice_line_item/0","type":"type","doc":"An invoice line item, used when creating invoices in create_or_update_invoices/1."},{"ref":"Tipalti.IPN.Router.html","title":"Tipalti.IPN.Router","type":"module","doc":"A router builder for handling incoming Tipalti Instant Payment Notifications (IPN). Usage defmodule MyApp.Tipalti.IPNRouter do use Tipalti.IPN.Router, scope: &quot;/events&quot; on &quot;bill_updated&quot;, MyApp.Tipalti.OnBillUpdated end"},{"ref":"Tipalti.IPN.Router.html#on/2","title":"Tipalti.IPN.Router.on/2","type":"macro","doc":"Adds a listening route for incoming POST events. The route is built from the :scope option given to the router, and the event name. Example defmodule MyApp.Tipalti.IPNRouter do use Tipalti.IPN.Router, scope: &quot;/events&quot; on &quot;bill_updated&quot;, MyApp.Tipalti.OnBillUpdated end The above would create a new route responding to POST requests at /events/bill_updated. The module given must define a call event that receives the event as a map of string key value pairs, and return :ok to signal it successfully processed the event."},{"ref":"Tipalti.IFrame.InvoiceHistory.html","title":"Tipalti.IFrame.InvoiceHistory","type":"module","doc":"Generate URLs for the Tipalti Invoice History iFrame."},{"ref":"Tipalti.IFrame.InvoiceHistory.html#url/1","title":"Tipalti.IFrame.InvoiceHistory.url/1","type":"function","doc":"Generates an Invoice History iFrame URL for the given payee. Examples iex&gt; url(&quot;mypayee&quot;) %URI{ authority: &quot;ui2.sandbox.tipalti.com&quot;, fragment: nil, host: &quot;ui2.sandbox.tipalti.com&quot;, path: &quot;/PayeeDashboard/Invoices&quot;, port: 443, query: &quot;idap=mypayee&amp;payer=MyPayer&amp;ts=1521234048&amp;hashkey=9413b4db4c08519497b6c236861049793e8834ac4de5e3cd866b7fec96e54eaa&quot;, scheme: &quot;https&quot;, userinfo: nil } iex&gt; url(&quot;mypayee&quot;) |&gt; URI.to_string() &quot;https://ui2.sandbox.tipalti.com/PayeeDashboard/Invoices?idap=mypayee&amp;payer=MyPayer&amp;ts=1521234048&amp;hashkey=9413b4db4c08519497b6c236861049793e8834ac4de5e3cd866b7fec96e54eaa&quot;"},{"ref":"Tipalti.IFrame.PaymentsHistory.html","title":"Tipalti.IFrame.PaymentsHistory","type":"module","doc":"Generate URLs for the Tipalti Payments History iFrame."},{"ref":"Tipalti.IFrame.PaymentsHistory.html#url/1","title":"Tipalti.IFrame.PaymentsHistory.url/1","type":"function","doc":"Generates a Payments History iFrame URL for the given payee. Examples iex&gt; url(&quot;mypayee&quot;) %URI{ authority: &quot;ui2.sandbox.tipalti.com&quot;, fragment: nil, host: &quot;ui2.sandbox.tipalti.com&quot;, path: &quot;/PayeeDashboard/PaymentsHistory&quot;, port: 443, query: &quot;idap=mypayee&amp;payer=MyPayer&amp;ts=1521234048&amp;hashkey=9413b4db4c08519497b6c236861049793e8834ac4de5e3cd866b7fec96e54eaa&quot;, scheme: &quot;https&quot;, userinfo: nil } iex&gt; url(&quot;mypayee&quot;) |&gt; URI.to_string() &quot;https://ui2.sandbox.tipalti.com/PayeeDashboard/PaymentsHistory?idap=mypayee&amp;payer=MyPayer&amp;ts=1521234048&amp;hashkey=9413b4db4c08519497b6c236861049793e8834ac4de5e3cd866b7fec96e54eaa&quot;"},{"ref":"Tipalti.IFrame.SetupProcess.html","title":"Tipalti.IFrame.SetupProcess","type":"module","doc":"Generate URLs for the Tipalti Setup Process iFrame."},{"ref":"Tipalti.IFrame.SetupProcess.html#url/2","title":"Tipalti.IFrame.SetupProcess.url/2","type":"function","doc":"Generates a Setup Process iFrame URL for the given struct of parameters. Examples iex&gt; params = %Tipalti.IFrame.SetupProcess{idap: &quot;mypayee&quot;, preferred_payer_entity: &quot;Foo&quot;} ...&gt; url(params) %URI{ authority: &quot;ui2.sandbox.tipalti.com&quot;, fragment: nil, host: &quot;ui2.sandbox.tipalti.com&quot;, path: &quot;/PayeeDashboard/Home&quot;, port: 443, query: &quot;idap=mypayee&amp;payer=MyPayer&amp;preferredPayerEntity=Foo&amp;ts=1521234048&amp;hashkey=899314ff57da786a9cda58f3296b844cd4fbeac75dbfaec13cf8a04aca3d99db&quot;, scheme: &quot;https&quot;, userinfo: nil } iex&gt; params = %Tipalti.IFrame.SetupProcess{idap: &quot;mypayee&quot;, company: &quot;My Company&quot;, first: &quot;Joe&quot;} ...&gt; url(params, force: [:company], read_only: [:first]) |&gt; URI.to_string() &quot;https://ui2.sandbox.tipalti.com/PayeeDashboard/Home?first=Joe&amp;firstSetReadOnly=TRUE&amp;forceCompany=My+Company&amp;idap=mypayee&amp;payer=MyPayer&amp;ts=1521234048&amp;hashkey=78f5d8126f299fd2f80024cc00bccf2b43bae28987eb0a3b44d5d8d4bece7f14&quot;"},{"ref":"Tipalti.IFrame.SetupProcess.html#t:flaggable_fields/0","title":"Tipalti.IFrame.SetupProcess.flaggable_fields/0","type":"type","doc":""},{"ref":"Tipalti.IFrame.SetupProcess.html#t:forcable_fields/0","title":"Tipalti.IFrame.SetupProcess.forcable_fields/0","type":"type","doc":"These are the fields that are &quot;forcable&quot;, meaning that a value supplied for them will override any value that may already exist for the account."},{"ref":"Tipalti.IFrame.SetupProcess.html#t:option/0","title":"Tipalti.IFrame.SetupProcess.option/0","type":"type","doc":""},{"ref":"Tipalti.IFrame.SetupProcess.html#t:options/0","title":"Tipalti.IFrame.SetupProcess.options/0","type":"type","doc":""},{"ref":"Tipalti.IFrame.SetupProcess.html#t:read_onlyable_fields/0","title":"Tipalti.IFrame.SetupProcess.read_onlyable_fields/0","type":"type","doc":"These fields you can mark as &quot;read-only&quot;; they will appear in the setup form, but not be changable."},{"ref":"Tipalti.IFrame.SetupProcess.html#t:t/0","title":"Tipalti.IFrame.SetupProcess.t/0","type":"type","doc":"Struct used to represent params to the Tipalti Setup Process iFrame. Fields: :idap - Payee ID :country - ISO 3166 2-letter country code :first - Name of payee :middle - Name of payee :last - Name of payee :company - Company name :uiculture - Language code; one of (ar, zh-CHS, en, fr, de, it, ja, ko, nl, pt-BR, ru, es, vi) :street1 - The payee contact address details :street2 - The payee contact address details :city - The payee contact address details :zip - The payee contact address details :state - The payee contact address details :alias - An alternate name for the payee, if applicable :email - The payee email address :force - A list of fields you&#39;d like to force (override the value even if a value already exists for the account) :read_only - A list of fields you&#39;d like to make read-only"},{"ref":"Tipalti.Balance.html","title":"Tipalti.Balance","type":"module","doc":"Represents a Tipalti payer account balance."},{"ref":"Tipalti.Balance.html#t:t/0","title":"Tipalti.Balance.t/0","type":"type","doc":""},{"ref":"Tipalti.ClientError.html","title":"Tipalti.ClientError","type":"module","doc":"Represents a Tipalti client error."},{"ref":"Tipalti.ClientError.html#t:t/0","title":"Tipalti.ClientError.t/0","type":"type","doc":"A malformed client request could result in this error."},{"ref":"Tipalti.CustomField.html","title":"Tipalti.CustomField","type":"module","doc":"Represents a Tipalti custom field key/value pair."},{"ref":"Tipalti.CustomField.html#t:t/0","title":"Tipalti.CustomField.t/0","type":"type","doc":""},{"ref":"Tipalti.Invoice.html","title":"Tipalti.Invoice","type":"module","doc":"Represents a Tipalti Invoice."},{"ref":"Tipalti.Invoice.html#t:ref_code/0","title":"Tipalti.Invoice.ref_code/0","type":"type","doc":""},{"ref":"Tipalti.Invoice.html#t:status/0","title":"Tipalti.Invoice.status/0","type":"type","doc":""},{"ref":"Tipalti.Invoice.html#t:t/0","title":"Tipalti.Invoice.t/0","type":"type","doc":""},{"ref":"Tipalti.Invoice.Approver.html","title":"Tipalti.Invoice.Approver","type":"module","doc":"Represents a Tipalti Approver."},{"ref":"Tipalti.Invoice.Approver.html#t:t/0","title":"Tipalti.Invoice.Approver.t/0","type":"type","doc":""},{"ref":"Tipalti.Invoice.Line.html","title":"Tipalti.Invoice.Line","type":"module","doc":"Represents a Tipalti Invoice Line."},{"ref":"Tipalti.Invoice.Line.html#t:t/0","title":"Tipalti.Invoice.Line.t/0","type":"type","doc":""},{"ref":"Tipalti.Payee.html","title":"Tipalti.Payee","type":"module","doc":"Represents a simplified Tipalti Payee."},{"ref":"Tipalti.Payee.html#t:t/0","title":"Tipalti.Payee.t/0","type":"type","doc":""},{"ref":"Tipalti.PayeeExtended.html","title":"Tipalti.PayeeExtended","type":"module","doc":"Represents a detailed Tipalti Payee."},{"ref":"Tipalti.PayeeExtended.html#t:t/0","title":"Tipalti.PayeeExtended.t/0","type":"type","doc":""},{"ref":"Tipalti.PayeeExtended.Properties.html","title":"Tipalti.PayeeExtended.Properties","type":"module","doc":"Represents the properties of a detailed Tipalti Payee."},{"ref":"Tipalti.PayeeExtended.Properties.html#t:t/0","title":"Tipalti.PayeeExtended.Properties.t/0","type":"type","doc":""},{"ref":"Tipalti.RequestError.html","title":"Tipalti.RequestError","type":"module","doc":"Represents a request error, which is either a server side HTTP error, or a failed request altogether."},{"ref":"Tipalti.RequestError.html#t:t/0","title":"Tipalti.RequestError.t/0","type":"type","doc":"All requests could result in this error."},{"ref":"readme.html","title":"Tipalti","type":"extras","doc":"Tipalti Tipalti integration library for Elixir. This library includes: Payee and Payer SOAP API clients iFrame integration helpers IPN Router builder NOTE: Not all API functions have been implemented yet; this library is a work in progress."},{"ref":"readme.html#installation","title":"Tipalti - Installation","type":"extras","doc":"The package can be installed by adding tipalti to your list of dependencies in mix.exs: def deps do [ {:tipalti, &quot;~&gt; 0.8.6&quot;} ] end"},{"ref":"readme.html#configuration","title":"Tipalti - Configuration","type":"extras","doc":"There are 3 required configuration options for this library to work. See an example config.exs below: use Mix.Config config :tipalti, payer: &quot;MyPayer&quot;, mode: :sandbox, master_key: &quot;boguskey&quot; Documentation can be found at https://hexdocs.pm/tipalti."},{"ref":"license.html","title":"LICENSE","type":"extras","doc":"The MIT License (MIT) Copyright 2018 Peek Travel, Inc. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE."}]